local myenv = {}
myenv.runFn = function()

end

require "init"
getCurrentModId = function() return 'eis_os_commonapi2' end
if (_locale == nil) then
	_locale = "en"
	print("__commonapienv.setupEnv locale not set");
end


if (_buildNr == nil) then
	_buildNr = 0
	print("__commonapienv.setupEnv _buildNr not set");
end
getBuildVersion = function()
	return _buildNr 
end


if (pGetTextRes == false) then
	pGetTextRes = function(a, str)
		return str
	end
end
require "mod"

local function setupEnv()
	local luafn, err, ok
	luafn, err = loadfile(CommonAPILuaState_BasePath.."/strings.lua", "bt")
	if (luafn == nil) then
		print("__commonapienv.setupEnv can't load strings.lua");
		print(err)
		return
	end
	ok, err = pcall(luafn)
	if (ok ~= nil) then
		data()
	else
		print("__commonapienv.setupEnv can't load strings.lua");
		print(err)
	end
end

setupEnv()

local initFunction = {}
local runFunction = {}
local destroyFunction = {}

function initFunction.MAINLUA()
--	print("initFunction.MAINLUA")
	if (commonapi.ui ~= nil) then
		local modsettings = require "commonapi2.ui.modsettings"
		modsettings.run()
	end
end

function initFunction.GAME()
	if (commonapi.ui ~= nil) then
		if (commonapi._native.LabelSystem ~= nil and commonapi._native.LabelSystem.isEnabled()) then
			--local LineExtraDataWindow = require "commonapi2.ui.LineExtraDataWindow"
			--LineExtraDataWindow.run()
		end
	end
--]]
--	print("GAMETHREAD ENV LOADED")
end

function runFunction.CustomGameSettingsCompOverlay(comp)
	local csc = require("commonapi2.ui2.CustomSettingsCompOverlay")
	csc.init(comp)
end

function destroyFunction.CustomGameSettingsCompOverlay()
	local csc = require("commonapi2.ui2.CustomSettingsCompOverlay")
	csc.destroyIt()
end


if (CommonAPILuaStateID ~= nil) then
	if (initFunction[CommonAPILuaStateID] ~= nil) then
		local fn = initFunction[CommonAPILuaStateID]
		fn()
	end

	if (runFunction[CommonAPILuaStateID] ~= nil) then
		myenv.runFn = runFunction[CommonAPILuaStateID]
	end

	if (destroyFunction[CommonAPILuaStateID] ~= nil) then
		myenv.destroyFn = destroyFunction[CommonAPILuaStateID]
	end
end

return myenv
